## libsdl2-image 2.6.3+dfsg

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_LIST_DIR}/cmake")

# See docs/release_checklist.md
set(MAJOR_VERSION 2)
set(MINOR_VERSION 6)
set(MICRO_VERSION 3)
set(SDL_REQUIRED_VERSION 2.0.9)

# For historical reasons this is 3.0.0 rather than the expected 1.0.0
set(DYLIB_COMPATIBILITY_VERSION "3.0.0")

include(PrivateSdlFunctions)
sdl_calculate_derived_version_variables()

if(CMAKE_SOURCE_DIR STREQUAL CMAKE_BINARY_DIR)
    message(FATAL_ERROR "Prevented in-tree built. Please create a build directory outside of the SDL_image source code and call cmake from there")
endif()

project(SDL2_image
    LANGUAGES C
    VERSION "${FULL_VERSION}"
)

message(STATUS "Configuring ${PROJECT_NAME} ${PROJECT_VERSION}")

# Set defaults preventing destination file conflicts
set(SDL2IMAGE_DEBUG_POSTFIX "d"
    CACHE STRING "Name suffix for debug builds")
mark_as_advanced(SDL2IMAGE_DEBUG_POSTFIX)

# Assume MSVC projects don't have a package manager and need vendored dependencies (by default).
# Most other platforms have some kind of package manager.
# FIXME: consider a package manager such as conan/vcpkg instead of vendoring
if(MSVC)
    set(vendored_default ON)
else()
    set(vendored_default OFF)
endif()

include(CMakeDependentOption)
include(CMakePackageConfigHelpers)
include(GNUInstallDirs)

option(CMAKE_POSITION_INDEPENDENT_CODE "Build static libraries with -fPIC" ON)
option(BUILD_SHARED_LIBS "Build the library as a shared library" ON)

option(SDL2IMAGE_INSTALL "Enable SDL2_image install target" ON)
option(SDL2IMAGE_DEPS_SHARED "Load dependencies dynamically" ON)
option(SDL2IMAGE_VENDORED "Use vendored third-party libraries" ${vendored_default})

option(SDL2IMAGE_SAMPLES "Build the SDL2_image sample program(s)" ON)
cmake_dependent_option(SDL2IMAGE_SAMPLES_INSTALL "Install the SDL2_image sample program(s)" OFF "SDL2IMAGE_SAMPLES;SDL2IMAGE_INSTALL" OFF)

option(SDL2IMAGE_TESTS "Build unit tests?" OFF)
cmake_dependent_option(SDL2IMAGE_TESTS_INSTALL "Install unit tests?" OFF "SDL2IMAGE_TESTS;SDL2IMAGE_INSTALL" OFF)

option(SDL2IMAGE_BACKEND_STB "Use stb_image for loading JPEG and PNG files" ON)
cmake_dependent_option(SDL2IMAGE_BACKEND_WIC "Add WIC backend (Windows Imaging Component)" OFF WIN32 OFF)
cmake_dependent_option(SDL2IMAGE_BACKEND_IMAGEIO "Use native Mac OS X frameworks for loading images" ON APPLE OFF)

option(SDL2IMAGE_AVIF "Support loading AVIF images" OFF)
option(SDL2IMAGE_BMP "Support loading BMP images" ON)
option(SDL2IMAGE_GIF "Support loading GIF images" ON)
option(SDL2IMAGE_JPG "Support loading JPEG images" ON)
option(SDL2IMAGE_JXL "Support loading JXL images" OFF)
option(SDL2IMAGE_LBM "Support loading LBM images" ON)
option(SDL2IMAGE_PCX "Support loading PCX images" ON)
option(SDL2IMAGE_PNG "Support loading PNG images" ON)
option(SDL2IMAGE_PNM "Support loading PNM images" ON)
option(SDL2IMAGE_QOI "Support loading QOI images" ON)
option(SDL2IMAGE_SVG "Support loading SVG images" ON)
option(SDL2IMAGE_TGA "Support loading TGA images" ON)
option(SDL2IMAGE_TIF "Support loading TIFF images" OFF)
option(SDL2IMAGE_WEBP "Support loading WEBP images" OFF)
option(SDL2IMAGE_XCF "Support loading XCF images" ON)
option(SDL2IMAGE_XPM "Support loading XPM images" ON)
option(SDL2IMAGE_XV "Support loading XV images" ON)

cmake_dependent_option(SDL2IMAGE_JPG_SAVE "Add JPEG save support" ON SDL2IMAGE_JPG OFF)
cmake_dependent_option(SDL2IMAGE_PNG_SAVE "Add PNG save support" ON SDL2IMAGE_PNG OFF)

set(LIBAVIF_MINIMUM_VERSION "0.9.1")
if(SDL2IMAGE_VENDORED AND SDL2IMAGE_AVIF)
    set(SDL2IMAGE_AVIF_VENDORED ON)
else()
    set(SDL2IMAGE_AVIF_VENDORED OFF)
endif()
cmake_dependent_option(SDL2IMAGE_AVIF_SHARED "Dynamically load AVIF support (requires shared libavif)"
    ${SDL2IMAGE_DEPS_SHARED} SDL2IMAGE_AVIF OFF)

if(SDL2IMAGE_VENDORED AND SDL2IMAGE_JPG AND NOT (SDL2IMAGE_BACKEND_WIC OR SDL2IMAGE_BACKEND_STB OR SDL2IMAGE_BACKEND_IMAGEIO))
    set(SDL2IMAGE_JPG_VENDORED ON)
else()
    set(SDL2IMAGE_JPG_VENDORED OFF)
endif()
cmake_dependent_option(SDL2IMAGE_JPG_SHARED "Dynamically load JPG support (requires shared libjpeg)"
    ${SDL2IMAGE_DEPS_SHARED} "SDL2IMAGE_JPG;NOT SDL2IMAGE_BACKEND_WIC;NOT SDL2IMAGE_BACKEND_STB;NOT SDL2IMAGE_BACKEND_IMAGEIO" OFF)

if(SDL2IMAGE_VENDORED AND SDL2IMAGE_JXL)
    set(SDL2IMAGE_JXL_VENDORED ON)
else()
    set(SDL2IMAGE_JXL_VENDORED OFF)
endif()
cmake_dependent_option(SDL2IMAGE_JXL_SHARED "Dynamically load JXL support (requires shared libjxl)"
    ${SDL2IMAGE_DEPS_SHARED} SDL2IMAGE_JXL OFF)

if(SDL2IMAGE_VENDORED AND SDL2IMAGE_PNG AND NOT (SDL2IMAGE_BACKEND_WIC OR SDL2IMAGE_BACKEND_STB OR SDL2IMAGE_BACKEND_IMAGEIO))
    set(SDL2IMAGE_PNG_VENDORED ON)
else()
    set(SDL2IMAGE_PNG_VENDORED OFF)
endif()
cmake_dependent_option(SDL2IMAGE_PNG_SHARED "Dynamically load PNG support (requires shared libpng)"
    ${SDL2IMAGE_DEPS_SHARED} "SDL2IMAGE_PNG;NOT SDL2IMAGE_BACKEND_WIC;NOT SDL2IMAGE_BACKEND_STB;NOT SDL2IMAGE_BACKEND_IMAGEIO" OFF)

if(SDL2IMAGE_VENDORED AND SDL2IMAGE_TIF)
    set(SDL2IMAGE_TIF_VENDORED ON)
else()
    set(SDL2IMAGE_TIF_VENDORED OFF)
endif()
cmake_dependent_option(SDL2IMAGE_TIF_SHARED "Dynamically load TIFF support (requires shared libtiff)"
    ${SDL2IMAGE_DEPS_SHARED} SDL2IMAGE_TIF OFF)

if(SDL2IMAGE_VENDORED AND SDL2IMAGE_WEBP)
    set(SDL2IMAGE_WEBP_VENDORED ON)
else()
    set(SDL2IMAGE_WEBP_VENDORED OFF)
endif()
cmake_dependent_option(SDL2IMAGE_WEBP_SHARED "Dynamically load WEBP support (requires shared libwebp)"
    ${SDL2IMAGE_DEPS_SHARED} SDL2IMAGE_WEBP OFF)

if(SDL2IMAGE_PNG_VENDORED)
    set(SDL2IMAGE_ZLIB ON)
else()
    set(SDL2IMAGE_ZLIB OFF)
endif()

if(SDL2IMAGE_VENDORED AND SDL2IMAGE_PNG_VENDORED)
    set(SDL2IMAGE_ZLIB_VENDORED ON)
else()
    set(SDL2IMAGE_ZLIB_VENDORED OFF)
endif()
if(SDL2IMAGE_PNG_SHARED)
    set(SDL2IMAGE_ZLIB_SHARED ON)
else()
    set(SDL2IMAGE_ZLIB_SHARED OFF)
endif()

# Save BUILD_SHARED_LIBS variable
set(SDL2IMAGE_BUILD_SHARED_LIBS ${BUILD_SHARED_LIBS})

if(SDL2IMAGE_BUILD_SHARED_LIBS)
    set(sdl2_image_export_name SDL2_image)
    set(sdl2_image_install_name_infix shared)
    set(sdl2_target_name SDL2::SDL2)
else()
    set(sdl2_image_export_name SDL2_image-static)
    set(sdl2_image_install_name_infix static)
    set(sdl2_target_name SDL2::SDL2-static)
endif()

sdl_find_sdl2(${sdl2_target_name} ${SDL_REQUIRED_VERSION})

# Set PROJECT_VERSION of subprojects to "" if it's project call does not set VERSION
cmake_policy(SET CMP0048 NEW)

# Allow cmake_dependent_option to use "Full Condition Syntax"
if(POLICY CMP0127)
    cmake_policy(SET CMP0127 NEW)
endif()

# OpenGL is required by dependencies of (dependencies of) some vendored libraries
if(NOT DEFINED OpenGL_GL_PREFERENCE)
    set(OpenGL_GL_PREFERENCE GLVND)
endif()

add_library(SDL2_image
    IMG.c
    IMG_WIC.c
    IMG_avif.c
    IMG_bmp.c
    IMG_gif.c
    IMG_jpg.c
    IMG_jxl.c
    IMG_lbm.c
    IMG_pcx.c
    IMG_png.c
    IMG_pnm.c
    IMG_qoi.c
    IMG_stb.c
    IMG_svg.c
    IMG_tga.c
    IMG_tif.c
    IMG_webp.c
    IMG_xcf.c
    IMG_xpm.c
    IMG_xv.c
    IMG_xxx.c
)
add_library(SDL2_image::${sdl2_image_export_name} ALIAS SDL2_image)
target_include_directories(SDL2_image PUBLIC
    "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>"
    "$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}/SDL2>"
)
target_compile_definitions(SDL2_image PRIVATE
    BUILD_SDL
    SDL_BUILD_MAJOR_VERSION=${MAJOR_VERSION}
    SDL_BUILD_MINOR_VERSION=${MINOR_VERSION}
    SDL_BUILD_MICRO_VERSION=${MICRO_VERSION}
)
target_link_libraries(SDL2_image PRIVATE ${sdl2_target_name})
if(WIN32 AND SDL2IMAGE_BUILD_SHARED_LIBS)
    target_sources(SDL2_image PRIVATE
        version.rc
    )
endif()
set_target_properties(SDL2_image PROPERTIES
    DEFINE_SYMBOL DLL_EXPORT
    PUBLIC_HEADER SDL_image.h
    EXPORT_NAME ${sdl2_image_export_name}
    C_VISIBILITY_PRESET "hidden"
)
if(NOT ANDROID)
    set_target_properties(SDL2_image PROPERTIES
        DEBUG_POSTFIX "${SDL2IMAGE_DEBUG_POSTFIX}"
    )
    if(APPLE)
        # the SOVERSION property corresponds to the compatibility version and VERSION corresponds to the current version
        # https://cmake.org/cmake/help/latest/prop_tgt/SOVERSION.html#mach-o-versions
        set_target_properties(SDL2_image PROPERTIES
            SOVERSION "${DYLIB_COMPATIBILITY_VERSION}"
            VERSION "${DYLIB_CURRENT_VERSION}"
        )
    else()
        set_target_properties(SDL2_image PROPERTIES
            SOVERSION "${LT_MAJOR}"
            VERSION "${LT_VERSION}"
        )
    endif()
endif()
if(SDL2IMAGE_BUILD_SHARED_LIBS AND (APPLE OR (UNIX AND NOT ANDROID)))
    add_custom_command(TARGET SDL2_image POST_BUILD
        COMMAND "${CMAKE_COMMAND}" -E create_symlink "$<TARGET_SONAME_FILE_NAME:SDL2_image>" "libSDL2_image$<$<CONFIG:Debug>:${SDL2IMAGE_DEBUG_POSTFIX}>$<TARGET_FILE_SUFFIX:SDL2_image>"
        # BYPRODUCTS "libSDL2_image$<$<CONFIG:Debug>:${SDL2IMAGE_DEBUG_POSTFIX}>$<TARGET_FILE_SUFFIX:SDL2_image>" # Needs CMake 3.20
        WORKING_DIRECTORY "${PROJECT_BINARY_DIR}"
    )
endif()
if(SDL2IMAGE_BUILD_SHARED_LIBS)
    if(WIN32 OR OS2)
        set_target_properties(SDL2_image PROPERTIES
            PREFIX ""
        )
    endif()
    if(OS2)
        # OS/2 doesn't support a DLL name longer than 8 characters.
        set_target_properties(SDL2_image PROPERTIES
            OUTPUT_NAME "SDL2img"
        )
    elseif(UNIX AND NOT ANDROID)
        set_target_properties(SDL2_image PROPERTIES
            OUTPUT_NAME "SDL2_image-${LT_RELEASE}"
        )
    endif()
else()
    if(MSVC OR (WATCOM AND (WIN32 OR OS2)))
        set_target_properties(SDL2_image PROPERTIES
            OUTPUT_NAME "SDL2_image-static"
        )
    endif()
endif()

# Use `Compatible Interface Properties` to ensure a shared SDL2_image is built with a shared SDL2
if(SDL2IMAGE_BUILD_SHARED_LIBS)
    set_property(TARGET SDL2_image PROPERTY INTERFACE_SDL2_SHARED ${SDL2IMAGE_BUILD_SHARED_LIBS})
    set_property(TARGET SDL2_image APPEND PROPERTY COMPATIBLE_INTERFACE_BOOL SDL2_SHARED)
endif()

if(SDL2IMAGE_BUILD_SHARED_LIBS)
    sdl_target_link_options_no_undefined(SDL2_image)
endif()

if(SDL2IMAGE_BUILD_SHARED_LIBS)
    # Make sure static library dependencies are built with -fPIC when building a shared SDL2_image
    set(CMAKE_POSITION_INDEPENDENT_CODE ON)
endif()

set(INSTALL_EXTRA_TARGETS)
set(PC_LIBS)
set(PC_REQUIRES)

if(SDL2IMAGE_BACKEND_STB)
    target_compile_definitions(SDL2_image PRIVATE USE_STBIMAGE)
endif()

if(APPLE)
    if(SDL2IMAGE_BACKEND_IMAGEIO)
        target_link_options(SDL2_image PRIVATE -Wl,-framework,ApplicationServices)
        target_link_libraries(SDL2_image PRIVATE objc)
        target_sources(SDL2_image PRIVATE
            IMG_ImageIO.m
        )
    else()
        target_compile_definitions(SDL2_image PRIVATE SDL_IMAGE_USE_COMMON_BACKEND)
    endif()
endif()

if(SDL2IMAGE_BACKEND_WIC)
    target_compile_definitions(SDL2_image PRIVATE SDL_IMAGE_USE_WIC_BACKEND)
endif()

if(SDL2IMAGE_ZLIB)
    if(SDL2IMAGE_ZLIB_VENDORED)
        message(STATUS "${PROJECT_NAME}: Using vendored zlib")
        sdl_check_project_in_subfolder(external/zlib zlib SDL2IMAGE_VENDORED)
        add_subdirectory(external/zlib EXCLUDE_FROM_ALL)
        # PNG_BUILD_ZLIB variable is used by vendored libpng
        set(PNG_BUILD_ZLIB ON CACHE BOOL "libpng option to tell it should use 'our' vendored ZLIB library" FORCE)
        # ZLIB_INCLUDE_DIR variable is used by vendored libpng
        set(ZLIB_INCLUDE_DIR "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/external/zlib;${CMAKE_CURRENT_BINARY_DIR}/external/zlib>" CACHE STRING "path of zlib, passed to libpng" FORCE)
        # ZLIB_LIBRARY variable is used by vendored libpng
        if(SDL2IMAGE_ZLIB_SHARED)
            set(ZLIB_LIBRARY zlib)
        else()
            set(ZLIB_LIBRARY zlibstatic)
        endif()
        list(APPEND INSTALL_EXTRA_TARGETS ${ZLIB_LIBRARY})
    else()
        message(STATUS "${PROJECT_NAME}: Using system zlib")
        find_package(ZLIB REQUIRED)
    endif()
endif()

## libsdl2-image 2.0.0+dfsg

=== debian/changelog ===
libsdl2-image (2.0.0+dfsg-3build2) trusty; urgency=medium

  * No-change rebuild for libwebp transition

 -- Iain Lane <iain.lane@canonical.com>  Mon, 20 Jan 2014 12:18:00 +0000

libsdl2-image (2.0.0+dfsg-3build1) trusty; urgency=medium

  * Rebuild for libwebp5.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 16 Jan 2014 16:43:20 +0000

libsdl2-image (2.0.0+dfsg-3) unstable; urgency=low

  * Really regenerate autoconf files. The upstream autogen.sh doesn't
    work properly. Thanks to Pino Toscano for the patch.
    - Fixes FTBFS on hurd.

 -- Felix Geyer <fgeyer@debian.org>  Sun, 08 Sep 2013 11:16:14 +0200

libsdl2-image (2.0.0+dfsg-2) unstable; urgency=low

  * Tighten libsdl2-dev dependency to 2.0.0 and bump the shlibver to 2.0.0,
    thanks to Gianfranco Costamagna for the patch.
  * Fix FTBFS on big endian architectures.
    - Add fix_ftbfs_big_endian.patch

 -- Felix Geyer <fgeyer@debian.org>  Sun, 25 Aug 2013 11:26:16 +0200

libsdl2-image (2.0.0+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Add a watch file.
  * Remove external/ from upstream tarball.
  * Document miniz.h license in debian/copyright.

 -- Felix Geyer <fgeyer@debian.org>  Wed, 21 Aug 2013 09:44:44 +0200

libsdl2-image (2.0.0~rc1+dfsg-1) unstable; urgency=low

  * Initial release. (Closes: #710698)
  * Filter upstream tarball to remove precompiled binaries that don't
    ship with the corresponding source code.

 -- Felix Geyer <fgeyer@debian.org>  Fri, 12 Jul 2013 17:38:44 +0200

=== debian/control ===
Source: libsdl2-image
Maintainer: Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>
Uploaders: Felix Geyer <fgeyer@debian.org>, Manuel A. Fernandez Montecelo <mafm@debian.org>
Section: libs
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               libsdl2-dev (>= 2.0.0),
               libjpeg-dev,
               libpng-dev,
               libtiff-dev,
               libwebp-dev,
               zlib1g-dev
Standards-Version: 3.9.4
Homepage: http://www.libsdl.org/projects/SDL_image/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-sdl/packages/libsdl2-image.git
Vcs-Git: git://anonscm.debian.org/pkg-sdl/packages/libsdl2-image.git

Package: libsdl2-image-2.0-0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Image loading library for Simple DirectMedia Layer 2, libraries
 This is a simple library to load images of various formats as SDL surfaces.  It
 supports the following formats: BMP, GIF, JPEG, LBM, PCX, PNG, PNM, TGA, TIFF,
 WEBP, XCF, XPM, XV.
 .
 This package contains the shared library.

Package: libsdl2-image-dbg
Section: debug
Architecture: any
Multi-Arch: same
Priority: extra
Depends: ${misc:Depends},
         libsdl2-image-2.0-0 (= ${binary:Version})
Description: Image loading library for Simple DirectMedia Layer 2, debugging symbols
 This is a simple library to load images of various formats as SDL surfaces.  It
 supports the following formats: BMP, GIF, JPEG, LBM, PCX, PNG, PNM, TGA, TIFF,
 WEBP, XCF, XPM, XV.
 .
 This package contains the debugging information for the shared library.

Package: libsdl2-image-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends},
         libsdl2-image-2.0-0 (= ${binary:Version}),
         libsdl2-dev (>= 2.0.0)
Description: Image loading library for Simple DirectMedia Layer 2, development files
 This is a simple library to load images of various formats as SDL surfaces.  It
 supports the following formats: BMP, GIF, JPEG, LBM, PCX, PNG, PNM, TGA, TIFF,
 WEBP, XCF, XPM, XV.
 .
 This package contains the development files.

## libsdl2-image 2.0.1%2Bdfsg

=== debian/changelog ===
libsdl2-image (2.0.1+dfsg-2) unstable; urgency=low

  * Team upload.
  * d/rules: Update shlib and .so symlink to the current version

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 27 Jan 2016 09:34:58 +0100

libsdl2-image (2.0.1+dfsg-1) unstable; urgency=low

  * Team upload.
  [ Manuel A. Fernandez Montecelo ]
  * Build-Depends on pkg-config
  * Bump Policy Standards-Version to 3.9.6 (no changes needed)

  [ Gianfranco Costamagna ]
  * New upstream release (Closes: #812620).
  * Use Files-Excluded copyright keyword to exclude autogenerated
    files from tarball.
  * Remove patch about big endian build fix, it should be fixed upstream.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 25 Jan 2016 10:12:59 +0100

## libsdl2-image 2.0.1+dfsg

=== debian/changelog ===
libsdl2-image (2.0.1+dfsg-3) unstable; urgency=medium

  * Bump Policy Standards-Version to 4.0.0 (no changes needed)
  * Update Vcs-* URLs
  * Switch to debhelper compat level v10
    - dh flags --parallel are not needed
    - autoreconf is invoked by default
  * Use automatic dbgsym packages, drop -dbg

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Mon, 31 Jul 2017 23:43:58 +0200

=== debian/control ===
--- 
+++ 
@@ -3,18 +3,18 @@
 Uploaders: Felix Geyer <fgeyer@debian.org>, Manuel A. Fernandez Montecelo <mafm@debian.org>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 9),
-               dh-autoreconf,
+Build-Depends: debhelper (>= 10~),
                libsdl2-dev (>= 2.0.0),
                libjpeg-dev,
                libpng-dev,
                libtiff-dev,
                libwebp-dev,
+               pkg-config,
                zlib1g-dev
-Standards-Version: 3.9.4
+Standards-Version: 4.0.0
 Homepage: http://www.libsdl.org/projects/SDL_image/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-sdl/packages/libsdl2-image.git
-Vcs-Git: git://anonscm.debian.org/pkg-sdl/packages/libsdl2-image.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-sdl/packages/libsdl2-image.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-sdl/packages/libsdl2-image.git
 
 Package: libsdl2-image-2.0-0
 Architecture: any
@@ -29,20 +29,6 @@
  .
  This package contains the shared library.
 
-Package: libsdl2-image-dbg
-Section: debug
-Architecture: any
-Multi-Arch: same
-Priority: extra
-Depends: ${misc:Depends},
-         libsdl2-image-2.0-0 (= ${binary:Version})
-Description: Image loading library for Simple DirectMedia Layer 2, debugging symbols
- This is a simple library to load images of various formats as SDL surfaces.  It
- supports the following formats: BMP, GIF, JPEG, LBM, PCX, PNG, PNM, TGA, TIFF,
- WEBP, XCF, XPM, XV.
- .
- This package contains the debugging information for the shared library.
-
 Package: libsdl2-image-dev
 Architecture: any
 Multi-Arch: same

=== debian/rules ===
#!/usr/bin/make -f

export DEB_CFLAGS_MAINT_APPEND  = -pipe -Wall
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

SHLIBVER = 2.0.1


# export variables for autoreconf
export AUTOMAKE := automake --foreign


# features -- disable building as plugins, otherwise dh_shlibs
confflags =  --disable-jpg-shared
confflags += --disable-tif-shared
confflags += --disable-png-shared
confflags += --disable-webp-shared

%:
	dh $@ --dbgsym-migration='libsdl2-image-dbg (<< 2.0.1+dfsg-3~)'

override_dh_auto_configure:
	dh_auto_configure -- $(confflags)

override_dh_install:
	dh_install --fail-missing -XlibSDL2_image.la

override_dh_installchangelogs:
	dh_installchangelogs -- CHANGES.txt

override_dh_link:
	# fix lintian warning dev-pkg-without-shlib-symlink
	dh_link -plibsdl2-image-dev usr/lib/$(DEB_HOST_MULTIARCH)/libSDL2_image-2.0.so.0.0.1 usr/lib/$(DEB_HOST_MULTIARCH)/libSDL2_image-2.0.so
	dh_link --remaining-packages

override_dh_compress:
	dh_compress -Xshowimage.c

override_dh_makeshlibs:
	dh_makeshlibs -V"libsdl2-image-2.0-0 (>= $(SHLIBVER))"

## libsdl2-image 2.0.3+dfsg1

=== debian/changelog ===
libsdl2-image (2.0.3+dfsg1-1) unstable; urgency=medium

  * New upstream release, fixing various security issues:
    - CVE-2017-12122
    - CVE-2017-14440
    - CVE-2017-14441
    - CVE-2017-14442
    - CVE-2017-14448
    - CVE-2017-14449
    - CVE-2017-14450
  * Requires libsdl2 >= 2.0.8

 -- Felix Geyer <fgeyer@debian.org>  Sun, 04 Mar 2018 15:50:05 +0100

libsdl2-image (2.0.2+dfsg1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.0.2+dfsg1.
  * Bump SHLIBVER, as INTERFACE_AGE has been reset in configure.in.
  * Remove patches backported from upstream.
  * Fix shlib symlink.
  * Move the dbgsym-migration parameter to the dh_strip call.

 -- Fabian Greffrath <fabian@debian.org>  Fri, 10 Nov 2017 13:46:09 +0100

libsdl2-image (2.0.1+dfsg-4) unstable; urgency=medium

  [ Manuel A. Fernandez Montecelo ]
  * d/copyright: Fix missing "General" in LGPL license

  [ Felix Geyer ]
  * Fix CVE-2017-2887: buffer overflow in the XCF property handling.
    (Closes: #878266)

 -- Felix Geyer <fgeyer@debian.org>  Wed, 18 Oct 2017 22:09:02 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: libs
 Priority: optional
 Build-Depends: debhelper (>= 10~),
-               libsdl2-dev (>= 2.0.0),
+               libsdl2-dev (>= 2.0.8),
                libjpeg-dev,
                libpng-dev,
                libtiff-dev,
@@ -12,9 +12,9 @@
                pkg-config,
                zlib1g-dev
 Standards-Version: 4.0.0
-Homepage: http://www.libsdl.org/projects/SDL_image/
-Vcs-Browser: https://anonscm.debian.org/git/pkg-sdl/packages/libsdl2-image.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-sdl/packages/libsdl2-image.git
+Homepage: https://www.libsdl.org/projects/SDL_image/
+Vcs-Browser: https://salsa.debian.org/sdl-team/libsdl2-image
+Vcs-Git: https://salsa.debian.org/sdl-team/libsdl2-image.git
 
 Package: libsdl2-image-2.0-0
 Architecture: any
@@ -35,7 +35,7 @@
 Section: libdevel
 Depends: ${misc:Depends},
          libsdl2-image-2.0-0 (= ${binary:Version}),
-         libsdl2-dev (>= 2.0.0)
+         libsdl2-dev (>= 2.0.8)
 Description: Image loading library for Simple DirectMedia Layer 2, development files
  This is a simple library to load images of various formats as SDL surfaces.  It
  supports the following formats: BMP, GIF, JPEG, LBM, PCX, PNG, PNM, TGA, TIFF,

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
-SHLIBVER = 2.0.1
+SHLIBVER = 2.0.2
 
 
 # export variables for autoreconf
@@ -19,7 +19,7 @@
 confflags += --disable-webp-shared
 
 %:
-	dh $@ --dbgsym-migration='libsdl2-image-dbg (<< 2.0.1+dfsg-3~)'
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(confflags)
@@ -32,7 +32,7 @@
 
 override_dh_link:
 	# fix lintian warning dev-pkg-without-shlib-symlink
-	dh_link -plibsdl2-image-dev usr/lib/$(DEB_HOST_MULTIARCH)/libSDL2_image-2.0.so.0.0.1 usr/lib/$(DEB_HOST_MULTIARCH)/libSDL2_image-2.0.so
+	dh_link -plibsdl2-image-dev usr/lib/$(DEB_HOST_MULTIARCH)/libSDL2_image-2.0.so.0 usr/lib/$(DEB_HOST_MULTIARCH)/libSDL2_image-2.0.so
 	dh_link --remaining-packages
 
 override_dh_compress:
@@ -40,3 +40,6 @@
 
 override_dh_makeshlibs:
 	dh_makeshlibs -V"libsdl2-image-2.0-0 (>= $(SHLIBVER))"
+
+override_dh_strip:
+	dh_strip --dbgsym-migration='libsdl2-image-dbg (<< 2.0.1+dfsg-3~)'

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg$// \
 https://www.libsdl.org/projects/SDL_image/release/SDL2_image-([\d.]+)\.tar\.(?:gz|bz2|xz|lzma)

## libsdl2-image 2.0.4+dfsg1

=== debian/changelog ===
libsdl2-image (2.0.4+dfsg1-1+deb10u1) buster; urgency=medium

  * Non-maintainer upload.
  * Multiple security issues (Closes: #932754):
    - CVE-2019-5058: buffer overflow in do_layer_surface (IMG_xcf.c).
    - CVE-2019-5052: integer overflow and subsequent buffer overflow in
      IMG_pcx.c.
    - CVE-2019-7635: heap buffer overflow in Blit1to4 (IMG_bmp.c).
    - CVE-2019-12216, CVE-2019-12217,
      CVE-2019-12218, CVE-2019-12219,
      CVE-2019-12220, CVE-2019-12221,
      CVE-2019-12222, CVE-2019-5051: OOB R/W in IMG_LoadPCX_RW (IMG_pcx.c).

 -- Hugo Lefeuvre <hle@debian.org>  Fri, 26 Jul 2019 17:01:14 -0300

libsdl2-image (2.0.4+dfsg1-1) unstable; urgency=medium

  * New upstream version.
  * Drop CVE-2018-3977.patch, applied upstream.
  * Verify signature of upstream tarball.

 -- Felix Geyer <fgeyer@debian.org>  Sun, 03 Feb 2019 11:59:26 +0100

libsdl2-image (2.0.3+dfsg1-3) unstable; urgency=high

  * Non-maintainer upload with permission of maintainers.
  * CVE-2018-3977: Prevent a potential buffer overflow on a corrupt or
    maliciously-crafted XCF file. (Closes: #912617)

 -- Chris Lamb <lamby@debian.org>  Sun, 04 Nov 2018 23:34:39 +0000

libsdl2-image (2.0.3+dfsg1-2) unstable; urgency=medium

  [ Manuel A. Fernandez Montecelo ]
  * Bump Policy Standards-Version to 4.2.1 (no changes needed)
  * d/watch:
    - Set to version=4
    - Update +dsfg mangling to correctly detect upstream version
  * Switch to debhelper compat level v11
  * d/copyright: use https in format URL
  * d/control: Set "Rules-Requires-Root: no"

 -- Chris Lamb <lamby@debian.org>  Sun, 04 Nov 2018 23:34:37 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Uploaders: Felix Geyer <fgeyer@debian.org>, Manuel A. Fernandez Montecelo <mafm@debian.org>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 10~),
+Rules-Requires-Root: no
+Build-Depends: debhelper (>= 11~),
                libsdl2-dev (>= 2.0.8),
                libjpeg-dev,
                libpng-dev,
@@ -11,7 +12,7 @@
                libwebp-dev,
                pkg-config,
                zlib1g-dev
-Standards-Version: 4.0.0
+Standards-Version: 4.2.1
 Homepage: https://www.libsdl.org/projects/SDL_image/
 Vcs-Browser: https://salsa.debian.org/sdl-team/libsdl2-image
 Vcs-Git: https://salsa.debian.org/sdl-team/libsdl2-image.git

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,4 @@
 #!/usr/bin/make -f
-
-export DEB_CFLAGS_MAINT_APPEND  = -pipe -Wall
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

=== debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg[[:digit:]]*$//,pgpmode=auto \
 https://www.libsdl.org/projects/SDL_image/release/SDL2_image-([\d.]+)\.tar\.(?:gz|bz2|xz|lzma)

## libsdl2-image 2.0.5%2Bdfsg1

=== debian/changelog ===
libsdl2-image (2.0.5+dfsg1-3build1) jammy; urgency=medium

  * No-change rebuild against latest libwebp

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Tue, 01 Feb 2022 09:25:26 -0500

libsdl2-image (2.0.5+dfsg1-3) unstable; urgency=medium

  * Team upload
  * d/p/showimage-Add-a-quit-option.patch:
    Add patch to add a -quit option to the showimage example.
    This allows it to be used as a non-interactive smoke-test.
  * d/tests: Add an autopkgtest using the modified showimage.
    Taken from the libsdl2-image package in the Steam Runtime.
  * Add a .symbols file
  * Re-export upstream signing key without extra signatures.
  * Drop transition for old debug package migration.
  * d/rules: Rely on debhelper compat 12 for dh_makeshlibs.
    With a .symbols file, the version passed to dh_makeshlibs is only a
    fallback.
    debhelper compat level 12 defaults to generating dependencies on the
    current upstream version, which is what's in stable. More relaxed
    dependencies aren't particularly useful, because we don't support
    skipping a release anyway.
  * d/rules: Remove unnecessary override for dh_compress.
    debhelper compat level 12 doesn't compress examples anyway.
  * Use debhelper compat level 13.
    Drop dh_missing --fail-missing override: this is now the default.
  * Standards-Version: 4.6.0 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Thu, 28 Oct 2021 19:20:29 +0100

libsdl2-image (2.0.5+dfsg1-2) unstable; urgency=medium

  * Cherry-pick upstream fix for CVE-2019-13616. (Closes: #940934)

 -- Felix Geyer <fgeyer@debian.org>  Mon, 03 Feb 2020 23:02:06 +0100

libsdl2-image (2.0.5+dfsg1-1) unstable; urgency=medium

  * New upstream version, fixing various security issues: (Closes: #932754)
    - CVE-2019-5051
    - CVE-2019-5052
    - CVE-2019-7635
    - CVE-2019-12216
    - CVE-2019-12217
    - CVE-2019-12218
    - CVE-2019-12219
    - CVE-2019-12220
    - CVE-2019-12221
    - CVE-2019-12222
  * Switch to debhelper compat level 12.

 -- Felix Geyer <fgeyer@debian.org>  Tue, 23 Jul 2019 23:15:23 +0200

=== debian/tests/control ===
Tests: libsdl2-image-dev
Restrictions: allow-stderr, rw-build-tree, superficial
Depends:
 build-essential,
 debconf,
 file,
 libsdl2-image-dev,
 pkg-config,
 xauth,
 xvfb,

## libsdl2-image 2.0.5+dfsg1

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: libs
 Priority: optional
 Rules-Requires-Root: no
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                libsdl2-dev (>= 2.0.8),
                libjpeg-dev,
                libpng-dev,

=== debian/rules ===
--- 
+++ 
@@ -21,11 +21,11 @@
 override_dh_auto_configure:
 	dh_auto_configure -- $(confflags)
 
-override_dh_install:
-	dh_install --fail-missing -XlibSDL2_image.la
-
 override_dh_installchangelogs:
 	dh_installchangelogs -- CHANGES.txt
+
+override_dh_missing:
+	dh_missing --fail-missing
 
 override_dh_link:
 	# fix lintian warning dev-pkg-without-shlib-symlink

## libsdl2-image 2.6.0+dfsg

=== debian/changelog ===
libsdl2-image (2.6.0+dfsg-1) unstable; urgency=medium

  * New upstream release
  * d/libsdl2-image-2.0-0.symbols: Use stable release for new symbols.
    We don't need to keep track of which specific prerelease introduced
    each symbol, now that we have a new stable release.
  * d/watch: Only look for stable releases
  * d/rules: Enable full compiler hardening
  * Switch branch for upload to unstable

 -- Simon McVittie <smcv@debian.org>  Sat, 09 Jul 2022 14:55:05 +0100

libsdl2-image (2.5.2+dfsg-1) experimental; urgency=medium

  * New upstream prerelease
  * d/watch: Don't download Windows binaries, etc.
  * d/watch: Download prereleases for experimental
  * Add myself to Uploaders
  * Drop all patches, included in the new release
  * d/libsdl2-image-dev.install: Install the new CMake metadata
  * d/tests: Exercise a CMake build

 -- Simon McVittie <smcv@debian.org>  Fri, 17 Jun 2022 10:58:16 +0100

libsdl2-image (2.5.1+dfsg-2) experimental; urgency=medium

  * Team upload
  * Standards-Version: 4.6.1 (no changes required)
  * d/patches: Add nanosvg fixes from upstream git
  * d/rules, d/tests/installed-tests: Assert that we support all the
    expected formats (everything supported upstream except AVIF and JXL)

 -- Simon McVittie <smcv@debian.org>  Mon, 30 May 2022 16:41:27 +0100

libsdl2-image (2.5.1+dfsg-1+newqueue) experimental; urgency=medium

  * Team upload
  * Move automated test into a new libsdl2-image-tests package.
    This means it can be moved back to the paths canonically used by
    installed-tests without breaking multiarch co-installability, and
    ginsttest-runner does not need to be told to search a non-default
    directory.
  * Install showanim and showimage sample programs as manual tests.
    Their names are too namespace-polluting to be on $PATH, so put them in
    /usr/libexec/installed-tests/SDL2_image alongside the automated tests.

 -- Simon McVittie <smcv@debian.org>  Thu, 26 May 2022 13:10:36 +0100

libsdl2-image (2.5.1+dfsg-1) experimental; urgency=medium

  * Team upload
  * New upstream prerelease
    - Fix loading PCX files that need alignment between rows
  * Revert addition of libsdl2-image-tests to avoid getting stuck in NEW
  * d/watch: Download releases from Github
  * d/copyright: Remove exclusion patterns that are no longer needed
  * d/watch: Don't download prereleases by default

 -- Simon McVittie <smcv@debian.org>  Thu, 26 May 2022 12:37:56 +0100

libsdl2-image (2.5.0~git20220525+g2b8e888+dfsg-2) experimental; urgency=medium

  * Team upload
  * Move automated test into a new libsdl2-image-tests package.
    This means it can be moved back to the paths canonically used by
    installed-tests without breaking multiarch co-installability, and
    ginsttest-runner does not need to be told to search a non-default
    directory.
  * Install showanim and showimage sample programs as manual tests.
    Their names are too namespace-polluting to be on $PATH, so put them in
    /usr/libexec/installed-tests/SDL2_image alongside the automated tests.

 -- Simon McVittie <smcv@debian.org>  Wed, 25 May 2022 17:38:45 +0100

libsdl2-image (2.5.0~git20220525+g2b8e888+dfsg-1) experimental; urgency=medium

  * Team upload
  * New upstream git snapshot
    - Fix test failure on s390x and other big-endian architectures
  * Bump required libsdl2-dev to 2.0.9
  * d/.gitignore: Add
  * d/copyright: Update

 -- Simon McVittie <smcv@debian.org>  Wed, 25 May 2022 17:05:00 +0100

libsdl2-image (2.5.0~git20220524+g7eb9ae3+dfsg-1) experimental; urgency=medium

  * Team upload
  * New upstream git snapshot
  * d/copyright: Update
  * Build and install tests
  * Run installed tests using autopkgtest
  * Move installed-tests to libsdl2-image-dev for now.
    Adding libsdl2-image-tests will require passing the NEW queue.

 -- Simon McVittie <smcv@debian.org>  Tue, 24 May 2022 18:12:39 +0100

libsdl2-image (2.5.0~git20220517.gcec4127+dfsg-1) experimental; urgency=medium

  * Team upload
  * New upstream git snapshot
  * Update symbols file

 -- Simon McVittie <smcv@debian.org>  Thu, 19 May 2022 12:39:32 +0100

libsdl2-image (2.5.0~git20220516.g99e0e81+dfsg-1-1) experimental; urgency=medium

  * Team upload
  * New upstream git snapshot
  * d/gbp.conf, d/copyright: Stop removing IMG_UIImage.m.
    It was deleted upstream.

 -- Simon McVittie <smcv@debian.org>  Mon, 16 May 2022 14:24:18 +0100

libsdl2-image (2.5.0~git20220512.g686ad26+dfsg-1) experimental; urgency=medium

  * Team upload
  * New upstream git snapshot
    - d/copyright: Update
    - d/rules: Update dependency options
    - Update symbols
  * Disable AVIF support for now

 -- Simon McVittie <smcv@debian.org>  Thu, 12 May 2022 19:50:27 +0100

libsdl2-image (2.5.0~git20220508.g406fd40+dfsg-1) experimental; urgency=medium

  * Team upload
  * New upstream git snapshot
    - Update symbols file with new ABI from development branch
  * Disable JPEG XL support for now.
    libjxl is only available in experimental and doesn't look as though it's
    necessarily fully API-stable.

 -- Simon McVittie <smcv@debian.org>  Mon, 09 May 2022 17:03:51 +0100

libsdl2-image (2.0.6~20220415.g915b794+dfsg-1) experimental; urgency=medium

  * Team upload
  * New upstream snapshot

 -- Simon McVittie <smcv@debian.org>  Wed, 20 Apr 2022 18:36:32 +0100

libsdl2-image (2.0.6~20220301.g3c8c09d3+dfsg-1) experimental; urgency=medium

  * Team upload
  * New upstream snapshot
  * Add -dev dependencies that are listed in the .pc file

 -- Simon McVittie <smcv@debian.org>  Wed, 02 Mar 2022 20:33:34 +0000

libsdl2-image (2.0.6~20220107.g656ef58+dfsg-1) experimental; urgency=medium

  * Team upload
  * New upstream snapshot
  * d/copyright: Update
  * d/libsdl2-image-2.0-0.symbols: Add QOI decoder
  * d/libsdl2-image-2.0-0.symbols: Ignore removal of IMG_InitJPG, etc.
    These were never intended to be public, and are not in the header file.
    Upstream commit f0b3945 changed their visibility to hidden.



=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: libsdl2-image
 Maintainer: Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>
-Uploaders: Felix Geyer <fgeyer@debian.org>, Manuel A. Fernandez Montecelo <mafm@debian.org>
+Uploaders: Felix Geyer <fgeyer@debian.org>, Manuel A. Fernandez Montecelo <mafm@debian.org>, Simon McVittie <smcv@debian.org>
 Section: libs
 Priority: optional
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 12),
-               libsdl2-dev (>= 2.0.8),
+Build-Depends: debhelper-compat (= 13),
+               libsdl2-dev (>= 2.0.9),
                libjpeg-dev,
                libpng-dev,
                libtiff-dev,
                libwebp-dev,
                pkg-config,
                zlib1g-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.6.1
 Homepage: https://www.libsdl.org/projects/SDL_image/
 Vcs-Browser: https://salsa.debian.org/sdl-team/libsdl2-image
 Vcs-Git: https://salsa.debian.org/sdl-team/libsdl2-image.git
@@ -35,11 +35,28 @@
 Multi-Arch: same
 Section: libdevel
 Depends: ${misc:Depends},
+         libjpeg-dev,
+         libpng-dev,
+         libsdl2-dev (>= 2.0.8),
          libsdl2-image-2.0-0 (= ${binary:Version}),
-         libsdl2-dev (>= 2.0.8)
+         libtiff-dev,
+         libwebp-dev,
 Description: Image loading library for Simple DirectMedia Layer 2, development files
  This is a simple library to load images of various formats as SDL surfaces.  It
  supports the following formats: BMP, GIF, JPEG, LBM, PCX, PNG, PNM, TGA, TIFF,
  WEBP, XCF, XPM, XV.
  .
  This package contains the development files.
+
+Package: libsdl2-image-tests
+Architecture: any
+Section: misc
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+         libsdl2-image-2.0-0 (= ${binary:Version}),
+Description: Image loading library for Simple DirectMedia Layer 2 - tests
+ This is a simple library to load images of various formats as SDL surfaces.  It
+ supports the following formats: BMP, GIF, JPEG, LBM, PCX, PNG, PNM, TGA, TIFF,
+ WEBP, XCF, XPM, XV.
+ .
+ This package contains automated and manual tests.

=== debian/watch ===
version=4
opts="repack,dversionmangle=s/[~.+](?:dfsg|ds)[0-9]*$//,repacksuffix=+dfsg,pgpmode=auto" \
https://github.com/libsdl-org/SDL_image/releases \
.*/SDL2_image-(\d+\.\d*[02468]\.\d+)@ARCHIVE_EXT@

# also: https://www.libsdl.org/projects/SDL_image/release/SDL2_image-([\d.]+)\.tar\.(?:gz|bz2|xz|lzma)

## libsdl2-image 2.6.2+dfsg

=== debian/changelog ===
libsdl2-image (2.6.2+dfsg-2) unstable; urgency=medium

  * d/watch: Update for Github website changes
  * d/p/Fix-wrong-size-malloc-and-minor-memleak.patch,
    d/p/Replace-free-usage-with-SDL_free.patch:
    Add minor memory leak fix from upstream release-2.6.x branch

 -- Simon McVittie <smcv@debian.org>  Fri, 28 Oct 2022 18:16:50 +0100

libsdl2-image (2.6.2+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Simon McVittie <smcv@debian.org>  Mon, 29 Aug 2022 21:32:22 +0100

## libsdl2-image 2.6.3+dfsg

=== debian/changelog ===
libsdl2-image (2.6.3+dfsg-1) unstable; urgency=medium

  [ Simon McVittie ]
  * New upstream stable release
    - Fix loading of 4-bit .ico, .cur files
  * Drop patches that were applied upstream
  * Remove version constraints unnecessary since Debian 10
  * Update standards version to 4.6.2 (no changes needed)
  * d/copyright: Update

  [ Debian Janitor ]
  * d/upstream/metadata: Add

 -- Simon McVittie <smcv@debian.org>  Thu, 09 Feb 2023 09:14:01 +0000

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,14 @@
 Priority: optional
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
-               libsdl2-dev (>= 2.0.9),
+               libsdl2-dev,
                libjpeg-dev,
                libpng-dev,
                libtiff-dev,
                libwebp-dev,
                pkg-config,
                zlib1g-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://www.libsdl.org/projects/SDL_image/
 Vcs-Browser: https://salsa.debian.org/sdl-team/libsdl2-image
 Vcs-Git: https://salsa.debian.org/sdl-team/libsdl2-image.git
@@ -37,7 +37,7 @@
 Depends: ${misc:Depends},
          libjpeg-dev,
          libpng-dev,
-         libsdl2-dev (>= 2.0.8),
+         libsdl2-dev,
          libsdl2-image-2.0-0 (= ${binary:Version}),
          libtiff-dev,
          libwebp-dev,

=== debian/tests/control ===
Tests: libsdl2-image-dev
Restrictions: allow-stderr, superficial
Depends:
 build-essential,
 cmake,
 debconf,
 file,
 libsdl2-image-dev,
 ninja-build,
 pkg-config,
 xauth,
 xvfb,

Tests: installed-tests
Restrictions: allow-stderr, superficial
Depends:
 gnome-desktop-testing,
 libsdl2-image-tests,

=== debian/watch ===
version=4
# Upstream releases official Autotools 'make dist' tarballs, so we use
# those in preference to git tags
opts="\
    compression=gzip, \
    dversionmangle=s/\+(?:git)?[0-9]*(?:\+g[0-9a-f]*)//;s/[+~](?:ds|dfsg)[0-9]*//, \
    downloadurlmangle=s#/tag/#/download/#;s#((?:pre)?release-?@ANY_VERSION@)$#$1/SDL2_image-$2.tar.gz#, \
    filenamemangle=s#(?:pre)?release-?@ANY_VERSION@#SDL2_image-$1.tar.gz#, \
    pgpmode=auto, \
    repack, \
    repacksuffix=+dfsg" \
https://github.com/libsdl-org/SDL_image/tags .*/releases/tag/release-?@ANY_VERSION@

## libsdl2-image 2.8.2%2Bdfsg

=== debian/changelog ===
libsdl2-image (2.8.2+dfsg-1) unstable; urgency=medium

  * New upstream stable release
  * d/copyright: Update

 -- Simon McVittie <smcv@debian.org>  Tue, 02 Jan 2024 17:12:38 +0000

libsdl2-image (2.8.1+dfsg-1) unstable; urgency=medium

  * New upstream release
    - no functional changes for the way we compile it in Debian
      (all of the changes were in vendored libraries, which Debian
      excludes, or in the STB image loader, which Debian does not enable)

 -- Simon McVittie <smcv@debian.org>  Fri, 15 Dec 2023 11:53:05 +0000

libsdl2-image (2.8.0+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Drop the only patch, no longer needed
  * d/copyright: Update
  * Update symbols file
  * d/libsdl2-image-dev.examples, d/tests: Update for new directory layout
  * d/clean: Fix FTBFS-twice-in-a-row by deleting files created by tests
    (Closes: #1049222)
  * d/gbp.conf: Only sign packaging tags
  * d/gbp.conf: Use DEP-14 branch names
  * d/gbp.conf: Rely on uscan to repack upstream source.
    This will use Files-Excluded in d/copyright, rather than separate
    configuration.

 -- Simon McVittie <smcv@debian.org>  Thu, 07 Dec 2023 10:50:59 +0000

libsdl2-image (2.6.3+dfsg-2) unstable; urgency=medium

  * d/upstream/metadata: Add Repository field
  * d/tests: Run Xvfb with -noreset to make the test more reliable.
    See #981201.
  * d/tests: Instruct xvfb-run to choose a server number automatically
  * d/p/Update-README.txt.patch:
    Add patch from upstream to point to the SDL2-specific documentation.
    The SDL_image wiki namespace now refers to the SDL3 version under
    development.
  * d/watch: Only watch for 2.x versions.
    The upstream 'main' branch now targets SDL 3 (under development), and
    should be packaged separately as a libsdl3-image source package.

 -- Simon McVittie <smcv@debian.org>  Sat, 15 Jul 2023 18:05:40 +0100
